<?php


class ControllerModuleTop1eFacebookBoxLike extends Controller {
	private $error = array(); 
	
	/**
	 * Set some default values for the module.
	 *
	 * @access public
	 * @return void
	 */
	
	/**
	 * Called when the module is uninstalled.
	 *
	 * @access public
	 * @return void
	 */
	public function uninstall () {
		
	}

	public function index() {   
		$this->load->language('module/top1e_facebookboxlike');
		$this->load->model('setting/setting');
		
		$this->document->setTitle($this->language->get('heading_title'));
						
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->_validate())) {
			$config = array();

			$config['facebooklike_profile_url'] 	= $this->request->post['facebooklike_profile_url'];
			$config['facebooklike_height'] 			= $this->request->post['facebooklike_height'];
			$config['facebooklike_width'] 			= $this->request->post['facebooklike_width'];
			$config['facebooklike_colorscheme'] 	= $this->request->post['facebooklike_colorscheme'];
			$config['facebooklike_show_faces'] 		= $this->request->post['facebooklike_show_faces'];
			$config['facebooklike_stream'] 			= $this->request->post['facebooklike_stream'];
			$config['facebooklike_header'] 			= $this->request->post['facebooklike_header'];

			if (isset($this->request->post['top1e_facebookboxlike_module'])) {
				$config['top1e_facebookboxlike_module'] = $this->request->post['top1e_facebookboxlike_module'];
			}

			$this->model_setting_setting->editSetting('top1e_facebookboxlike', $config);
				
			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		}
				
		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_settings'] 				= $this->language->get('text_settings');
		$this->data['text_enabled'] 				= $this->language->get('text_enabled');
		$this->data['text_disabled'] 				= $this->language->get('text_disabled');
		$this->data['text_content_top'] 			= $this->language->get('text_content_top');
		$this->data['text_content_bottom'] 			= $this->language->get('text_content_bottom');		
		$this->data['text_column_left'] 			= $this->language->get('text_column_left');
		$this->data['text_column_right'] 			= $this->language->get('text_column_right');
		$this->data['text_version_status'] 			= $this->language->get('text_version_status');
		$this->data['text_version_number'] 			= $this->language->get('text_version_number');
		$this->data['text_author'] 					= $this->language->get('text_author');
		$this->data['text_facebooklike_support']	= $this->language->get('text_facebooklike_support');
		
		$this->data['entry_profile_url'] 			= $this->language->get('entry_profile_url');
		$this->data['entry_height'] 				= $this->language->get('entry_height');
		$this->data['entry_width'] 					= $this->language->get('entry_width');
		$this->data['entry_stream'] 				= $this->language->get('entry_stream');
		$this->data['entry_colorscheme'] 			= $this->language->get('entry_colorscheme');
		$this->data['entry_show_faces'] 			= $this->language->get('entry_show_faces');
		$this->data['entry_header'] 				= $this->language->get('entry_header');
		$this->data['entry_status'] 				= $this->language->get('entry_status');
		$this->data['entry_layout'] 				= $this->language->get('entry_layout');
		$this->data['entry_position'] 				= $this->language->get('entry_position');
		$this->data['entry_sort_order'] 			= $this->language->get('entry_sort_order');
		
		$this->data['button_save'] 					= $this->language->get('button_save');
		$this->data['button_cancel'] 				= $this->language->get('button_cancel');
		$this->data['button_add_module'] 			= $this->language->get('button_add_module');
		$this->data['button_remove'] 				= $this->language->get('button_remove');
		
        if (isset($this->error['warning'])) {
        	$this->data['error_warning'] = $this->error['warning'];
        } else {
            $this->data['error_warning'] = '';
		}
		
  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_module'),
			'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('module/top1e_facebookboxlike', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('module/top1e_facebookboxlike', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');

		$this->data['token'] = $this->session->data['token'];
			
		if (isset($this->request->post['facebooklike_profile_url'])) {
			$this->data['facebooklike_profile_url'] = $this->request->post['facebooklike_profile_url'];
		} else {
			$this->data['facebooklike_profile_url'] = $this->config->get('facebooklike_profile_url');
		}
		
		if (isset($this->request->post['facebooklike_height'])) {
			$this->data['facebooklike_height'] = $this->request->post['facebooklike_height'];
		} else {
			$this->data['facebooklike_height'] = $this->config->get('facebooklike_height');
		}

		if (isset($this->request->post['facebooklike_width'])) {
			$this->data['facebooklike_width'] = $this->request->post['facebooklike_width'];
		} else {
			$this->data['facebooklike_width'] = $this->config->get('facebooklike_width');
		}

		if (isset($this->request->post['facebooklike_show_faces'])) {
			$this->data['facebooklike_show_faces'] = $this->request->post['facebooklike_show_faces'];
		} else {
			$this->data['facebooklike_show_faces'] = $this->config->get('facebooklike_show_faces');
		}

		if (isset($this->request->post['facebooklike_stream'])) {
			$this->data['facebooklike_stream'] = $this->request->post['facebooklike_stream'];
		} else {
			$this->data['facebooklike_stream'] = $this->config->get('facebooklike_stream');
		}
		
		if (isset($this->request->post['facebooklike_header'])) {
			$this->data['facebooklike_header'] = $this->request->post['facebooklike_header'];
		} else {
			$this->data['facebooklike_header'] = $this->config->get('facebooklike_header');
		}

		if (isset($this->request->post['facebooklike_colorscheme'])) {
			$this->data['facebooklike_colorscheme'] = $this->request->post['facebooklike_colorscheme'];
		} else {
			$this->data['facebooklike_colorscheme'] = $this->config->get('facebooklike_colorscheme');
		}
		
		$this->data['modules'] = array();
		
		if (isset($this->request->post['top1e_facebookboxlike_module'])) {
			$this->data['modules'] = $this->request->post['top1e_facebookboxlike_module'];
		} elseif ($this->config->get('top1e_facebookboxlike_module')) { 
			$this->data['modules'] = $this->config->get('top1e_facebookboxlike_module');
		}
		
		$this->load->model('design/layout');
		
		$this->data['layouts'] = $this->model_design_layout->getLayouts();

		$this->template = 'module/top1e_facebookboxlike.tpl';
		$this->children = array(
			'common/header',
			'common/footer',
		);
		
		$this->response->setOutput($this->render());
	}
	
	/**
	 * Check that required fields have values.
	 * 
	 * @access private
	 * @return boolean
	 */
	private function _validate () {
		if (!$this->user->hasPermission('modify', 'module/top1e_facebookboxlike')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if ($this->request->post['facebooklike_profile_url'] == '') {
			$this->error['warning'] = "You must set the Facebook Fan Page URL.";
		}
		
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
		 private function getIdLayout($layout_name) {
		$query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "layout WHERE LOWER(name) = LOWER('".$layout_name."')");
		return (int)$query->row['layout_id'];
	}
	public function install() 
	{
	$this->load->model('setting/setting');
			
		$this->load->model('localisation/language');
	
	$top1e_facebookboxlike = array(
			'top1e_facebookboxlike_module' => array ( 
             0 => array ('layout_id' => $this->getIdLayout("product"), 'position' => 'column_left', 'status' => 1, 'sort_order' => 2),
			 1 => array ('layout_id' => $this->getIdLayout("category"), 'position' => 'column_left', 'status' => 1, 'sort_order' => 2),
			 2 => array ('layout_id' => $this->getIdLayout("home"), 'position' => 'column_left', 'status' => 1, 'sort_order' => 2)
			 ),
			 'facebooklike_connections' 	=> '9'
		);
		
		$this->model_setting_setting->editSetting('top1e_facebookboxlike', $top1e_facebookboxlike);
     }
}
?>
