<?php
/**
 * Facebook OpenCart Module. Creates a Facebook like box.
 *
 * @author    Ian Gallacher (www.opencartstore.com)
 * @version   1.5.4.x
 * @support   https://opencartstorecom.zendesk.com/home
 * @email   info@opencartstore.com
 */
?>

<?php echo $header; ?>
<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
  <?php if ($error_warning) { ?>
    <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <div class="box">
    <div class="heading">
      <h1><img src="view/image/module.png" alt="" /> <?php echo $heading_title; ?></h1>
      <div class="buttons">
        <a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a>
        <a onclick="location = '<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a>
      </div>
    </div>
    <div class="content">
      <div id="tabs" class="htabs">
        <a href="#tab-settings"><?php echo $text_settings; ?></a>
      </div>
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
      <div id="tab-settings">
        <table class="form">
          <tr>
            <td style="width: 300px!important">
              <span class="required">*</span><?php echo $entry_profile_url; ?>
                <span class="help">This is your unique Facebook Fan Page URL. If you are unsure what this is please visit <a href="http://www.facebook.com/note.php?note_id=174483695910167">here</a>.</span>
            </td>
            <td>
              <input type="text" id="facebooklike_profile_url" name="facebooklike_profile_url" value="<?php echo $facebooklike_profile_url; ?>" size="30" />
            </td>
          </tr>

          <tr>
            <td>
              <?php echo $entry_height; ?>
              <span class="help">This is the height of the Facebook Like box.</span>
            </td>
            <td>
              <input type="text" id="facebooklike_height" name="facebooklike_height" value="<?php echo $facebooklike_height; ?>" size="30" />
            </td>
          </tr>

          <tr>
            <td>
              <?php echo $entry_width; ?>
              <span class="help">This is the width of the facebook like box.</span>
            </td>
            <td>
              <input type="text" id="facebooklike_width" name="facebooklike_width" value="<?php echo $facebooklike_width; ?>" size="30" />
            </td>
          </tr>
          
          <tr>
            <td><?php echo $entry_colorscheme; ?>
            <span class="help">Choose the colorscheme of your like box.</span>
            </td>
            <td>
              <select name="facebooklike_colorscheme">
              <?php if ($facebooklike_colorscheme === 'light') { ?>
                <option value="light" selected="selected">Light</option>
                <option value="dark">Dark</option>
              <?php } else { ?>
                <option value="light">Light</option>
                <option value="dark" selected="selected">Dark</option>
              <?php } ?>
              </select>
            </td>
          </tr>

          <tr>
            <td><?php echo $entry_stream; ?>
            <span class="help">Display the profile stream for the public profile.</span>
            </td>
            <td>
              <select name="facebooklike_stream">
              <?php if ($facebooklike_stream === 'true') { ?>
                <option value="true" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="false"><?php echo $text_disabled; ?></option>
              <?php } else { ?>
                <option value="true"><?php echo $text_enabled; ?></option>
                <option value="false" selected="selected"><?php echo $text_disabled; ?></option>
              <?php } ?>
              </select>
            </td>
          </tr>

          <tr>
            <td><?php echo $entry_show_faces; ?>
            <span class="help">Show profile photos in the like box.</span>
            </td>
            <td>
              <select name="facebooklike_show_faces">
              <?php if ($facebooklike_show_faces === 'true') { ?>
                <option value="true" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="false"><?php echo $text_disabled; ?></option>
              <?php } else { ?>
                <option value="true"><?php echo $text_enabled; ?></option>
                <option value="false" selected="selected"><?php echo $text_disabled; ?></option>
              <?php } ?>
              </select>
            </td>
          </tr>

          <tr>
            <td><?php echo $entry_header; ?>
            <span class="help">Display the "Facebook" bar at top.</span>
            </td>
            <td>
              <select name="facebooklike_header">
              <?php if ($facebooklike_header === 'true') { ?>
                <option value="true" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="false"><?php echo $text_disabled; ?></option>
              <?php } else { ?>
                <option value="true"><?php echo $text_enabled; ?></option>
                <option value="false" selected="selected"><?php echo $text_disabled; ?></option>
              <?php } ?>
              </select>
            </td>
          </tr>

        </table>

        <table id="module" class="list">
          <thead>
            <tr>
              <td class="left"><?php echo $entry_layout; ?></td>
              <td class="left"><?php echo $entry_position; ?></td>
              <td class="left"><?php echo $entry_status; ?></td>
              <td class="right"><?php echo $entry_sort_order; ?></td>
              <td></td>
            </tr>
          </thead>
          <?php $module_row = 0; ?>
          <?php foreach ($modules as $module) { ?>
            <tbody id="module-row<?php echo $module_row; ?>">
              <tr>
                <td class="left">
                  <select name="top1e_facebookboxlike_module[<?php echo $module_row; ?>][layout_id]">
                  <?php foreach ($layouts as $layout) { ?>
                  <?php if ($layout['layout_id'] == $module['layout_id']) { ?>
                  <option value="<?php echo $layout['layout_id']; ?>" selected="selected"><?php echo $layout['name']; ?></option>
                  <?php } else { ?>
                  <option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>
                  <?php } ?>
                  <?php } ?>
              </select>
            </td>
            <td class="left">
              <select name="top1e_facebookboxlike_module[<?php echo $module_row; ?>][position]">
                <?php if ($module['position'] == 'content_top') { ?>
                <option value="content_top" selected="selected"><?php echo $text_content_top; ?></option>
                <?php } else { ?>
                <option value="content_top"><?php echo $text_content_top; ?></option>
                <?php } ?>
                <?php if ($module['position'] == 'content_bottom') { ?>
                <option value="content_bottom" selected="selected"><?php echo $text_content_bottom; ?></option>
                <?php } else { ?>
                <option value="content_bottom"><?php echo $text_content_bottom; ?></option>
                <?php } ?>
                <?php if ($module['position'] == 'column_left') { ?>
                <option value="column_left" selected="selected"><?php echo $text_column_left; ?></option>
                <?php } else { ?>
                <option value="column_left"><?php echo $text_column_left; ?></option>
                <?php } ?>
                <?php if ($module['position'] == 'column_right') { ?>
                <option value="column_right" selected="selected"><?php echo $text_column_right; ?></option>
                <?php } else { ?>
                <option value="column_right"><?php echo $text_column_right; ?></option>
                <?php } ?>
              </select>
            </td>
            <td class="left">
              <select name="top1e_facebookboxlike_module[<?php echo $module_row; ?>][status]">
                <?php if ($module['status']) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </td>
            <td class="right">
              <input type="text" name="top1e_facebookboxlike_module[<?php echo $module_row; ?>][sort_order]" value="<?php echo $module['sort_order']; ?>" size="3" />
            </td>
            <td class="left">
              <a onclick="$('#module-row<?php echo $module_row; ?>').remove();" class="button"><span><?php echo $button_remove; ?></span></a>
            </td>
          </tr>
        </tbody>
        <?php $module_row++; ?>
        <?php } ?>
        <tfoot>
          <tr>
            <td colspan="4"></td>
            <td class="left"><a onclick="addModule();" class="button"><span><?php echo $button_add_module; ?></span></a></td>
          </tr>
        </tfoot>
        </table>
      </div>
      
      </form>
    </div>
	
	   <div class="about-googletranslate">
            <h3>ABOUT FACEBOOK BOX LIKE</h3>
            <ul>
                <li>Author                                              	 : Top1Extensions</li>
                <li>Version                                            	:  1.0</li>
                <li>Opencart Compatibility             	 : v1.4.x, v1.5.x</li>
                <li>Email                                                 	: support@top1extensions.com</li>
            </ul>
    </div>
      <div class="about-top1extension">
            <h3>ABOUT TOP1EXTENSIONS.COM</h3>
            <p>
			We are a teams of seasoned web professionals with many years of hands-on experience  and alway use new technology, so we will bring best solutions for your site.
			</p>
    </div> 
	 <div class="advertising">
            <h3>MORE MODULES</h3>
             <iframe src="http://top1extensions.com/advertising/opencart_advertising.html" width="100%" height="335px;" border="0" style="border:none;"></iframe>
			</fieldset>';
    </div> 
	
  </div>
</div>

<script type="text/javascript"><!--
$('#tabs a').tabs();

var module_row = <?php echo $module_row; ?>;

function addModule() {	
	html  = '<tbody id="module-row' + module_row + '">';
	html += '  <tr>';
	html += '    <td class="left"><select name="top1e_facebookboxlike_module[' + module_row + '][layout_id]">';
	<?php foreach ($layouts as $layout) { ?>
	html += '      <option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>';
	<?php } ?>
	html += '    </select></td>';
	html += '    <td class="left"><select name="top1e_facebookboxlike_module[' + module_row + '][position]">';
	html += '      <option value="content_top"><?php echo $text_content_top; ?></option>';
	html += '      <option value="content_bottom"><?php echo $text_content_bottom; ?></option>';
	html += '      <option value="column_left"><?php echo $text_column_left; ?></option>';
	html += '      <option value="column_right"><?php echo $text_column_right; ?></option>';
	html += '    </select></td>';
	html += '    <td class="left"><select name="top1e_facebookboxlike_module[' + module_row + '][status]">';
    html += '      <option value="1" selected="selected"><?php echo $text_enabled; ?></option>';
    html += '      <option value="0"><?php echo $text_disabled; ?></option>';
    html += '    </select></td>';
	html += '    <td class="right"><input type="text" name="top1e_facebookboxlike_module[' + module_row + '][sort_order]" value="" size="3" /></td>';
	html += '    <td class="left"><a onclick="$(\'#module-row' + module_row + '\').remove();" class="button"><span><?php echo $button_remove; ?></span></a></td>';
	html += '  </tr>';
	html += '</tbody>';
	
	$('#module tfoot').before(html);
	
	module_row++;
}

//--></script> 